/*
 * main.c
 *
 *  Created on: 01.05.2009
 *      Author: sebastian
 */

#include  <avr/io.h>
#include  <stdlib.h>
#include  <avr/interrupt.h>

#include "include/lc7981.h"
#include "include/adc.h"
#include "button.h"
#include "12x16_horizontal_LSB_1.h"
//#include "8x8_horizontal_LSB_1.h"
#include "include/touch.h"

#include "writing_demo.h"

void my_pre_init( void ) __attribute__ ( ( naked ) )
   __attribute__ ( ( section( ".init3" ) ) );

// Datenblatt Seite 38
void my_pre_init( void )
{
#if defined (__AVR_ATmega32__)
   __asm__( "wdr" );
#endif
}

extern void calibrate_touch(void);

int main(void) 
{
	lcd_init(LCD_GRAPHIC_MODE);
	adc_init();
	sei();

	lcd_plot_text_P(5,5,PSTR("Hello"),16,16,font_12x16);
	lcd_plot_text_P(50,22,PSTR("World"),16,16,font_12x16);

	while(!touch_is_pressed())
		_delay_ms(100);
	while(touch_is_pressed())
		_delay_ms(100);
	
	calibrate_touch();

	writing_demo();

	return 0;
}

